<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: behave Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classETHMONITOR__32.html">ETHMONITOR_32</a></li><li class="navelem"><a class="el" href="classETHMONITOR__32_1_1behave.html">behave</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">behave Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classETHMONITOR__32_1_1behave-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:a93820605eb450817421d2dcf55125c04"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a93820605eb450817421d2dcf55125c04"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a93820605eb450817421d2dcf55125c04">PROCESS_1003</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">last_state</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">state</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a9f30f8d62f81147b36db67efac342d8a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9f30f8d62f81147b36db67efac342d8a"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a9f30f8d62f81147b36db67efac342d8a">PROCESS_1004</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a2ba7fad734dd779a120b2ba0a2cd1d68"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2ba7fad734dd779a120b2ba0a2cd1d68"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a2ba7fad734dd779a120b2ba0a2cd1d68">PROCESS_1005</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a0f3e21232f6ba8149f66be80d150d113"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0f3e21232f6ba8149f66be80d150d113"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a0f3e21232f6ba8149f66be80d150d113">PROCESS_1006</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a88db21ccbb7b40a180c22088e8367ab8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a88db21ccbb7b40a180c22088e8367ab8"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a88db21ccbb7b40a180c22088e8367ab8">PROCESS_1007</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a9cb840d8100fd924d0d3fa8548f6616a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9cb840d8100fd924d0d3fa8548f6616a"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a9cb840d8100fd924d0d3fa8548f6616a">PROCESS_1008</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a935b0e177932af5e50d0a036e8a16838"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a935b0e177932af5e50d0a036e8a16838"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a935b0e177932af5e50d0a036e8a16838">PROCESS_1009</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a5aed7c609dddb269059024094cc96d43"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5aed7c609dddb269059024094cc96d43"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a5aed7c609dddb269059024094cc96d43">PROCESS_1010</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a3940cc3821ed2906f83937ac80f4caf1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3940cc3821ed2906f83937ac80f4caf1"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a3940cc3821ed2906f83937ac80f4caf1">PROCESS_1011</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a5ae7e95c8f7cc600ec1a0452e421bf52"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5ae7e95c8f7cc600ec1a0452e421bf52"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a5ae7e95c8f7cc600ec1a0452e421bf52">PROCESS_1012</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a3751e69960446e5a3e29da5c86812a7f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3751e69960446e5a3e29da5c86812a7f"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a3751e69960446e5a3e29da5c86812a7f">PROCESS_1013</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a7e9844d2970ccfcbd916f234684ae211"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7e9844d2970ccfcbd916f234684ae211"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a7e9844d2970ccfcbd916f234684ae211">PROCESS_1412</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">last_state</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">state</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a3a6d733ac2abce99af5e74bb232bf80c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a6d733ac2abce99af5e74bb232bf80c"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a3a6d733ac2abce99af5e74bb232bf80c">PROCESS_1413</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a32681cd00ae02ef360ab8b04dc76c3e2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a32681cd00ae02ef360ab8b04dc76c3e2"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a32681cd00ae02ef360ab8b04dc76c3e2">PROCESS_1414</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:aae500f5c8a6ffc7cdbe470a51cd73161"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae500f5c8a6ffc7cdbe470a51cd73161"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#aae500f5c8a6ffc7cdbe470a51cd73161">PROCESS_1415</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a114311cdd8de0750df4b048c176de0c9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a114311cdd8de0750df4b048c176de0c9"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a114311cdd8de0750df4b048c176de0c9">PROCESS_1416</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ad9b401b439d90497b6fe861c81982d75"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad9b401b439d90497b6fe861c81982d75"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#ad9b401b439d90497b6fe861c81982d75">PROCESS_1417</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a20cef4d9aaba12c82fec37fa80132477"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a20cef4d9aaba12c82fec37fa80132477"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a20cef4d9aaba12c82fec37fa80132477">PROCESS_1418</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:af9837d7c3f908da71e9399cc274c160c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af9837d7c3f908da71e9399cc274c160c"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#af9837d7c3f908da71e9399cc274c160c">PROCESS_1419</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a00ecffd29e7dd43d71ea45ba6ee98742"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a00ecffd29e7dd43d71ea45ba6ee98742"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a00ecffd29e7dd43d71ea45ba6ee98742">PROCESS_1420</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a50b46c06e6a72ffd7f8fd04963b458a6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a50b46c06e6a72ffd7f8fd04963b458a6"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a50b46c06e6a72ffd7f8fd04963b458a6">PROCESS_1421</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ad640575a2082a6b1000ef22954e8ed87"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad640575a2082a6b1000ef22954e8ed87"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#ad640575a2082a6b1000ef22954e8ed87">PROCESS_1422</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">tx_clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Types"></a>
Types</h2></td></tr>
 <tr class="memitem:aca78c0d6622c3e3d8e52f343eb571c98"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aca78c0d6622c3e3d8e52f343eb571c98"></a>
<b><a class="el" href="classETHMONITOR__32_1_1behave.html#aca78c0d6622c3e3d8e52f343eb571c98">state_typ</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_IDLE</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_PRMBL</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_DST</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_SRC</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_TYPELEN</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_PAUSE</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_TAG</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_LEN</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_DATA</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_PAD</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_CRC</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_ABORT</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_UTYPE</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">S_DWORD32ALIGNED</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a490d42654b192b67f1aa3b82af5c9661"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a490d42654b192b67f1aa3b82af5c9661"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a490d42654b192b67f1aa3b82af5c9661">iprmble_len</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">10000</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7a1d7a4fe394387e08cd0e9ae4a7b0c4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7a1d7a4fe394387e08cd0e9ae4a7b0c4"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a7a1d7a4fe394387e08cd0e9ae4a7b0c4">ifrmtype</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab2ed7de1f5417b5e1a11059d81775305"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab2ed7de1f5417b5e1a11059d81775305"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#ab2ed7de1f5417b5e1a11059d81775305">ilen</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acc4e6a9393f02b9205b8c810a11fde4b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acc4e6a9393f02b9205b8c810a11fde4b"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#acc4e6a9393f02b9205b8c810a11fde4b">idst</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">47</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acff03d9eb087516d6aa0d40b4a14b588"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acff03d9eb087516d6aa0d40b4a14b588"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#acff03d9eb087516d6aa0d40b4a14b588">iis_vlan</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a688ee79d26a1574a6ae53af7c1d9f2ea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a688ee79d26a1574a6ae53af7c1d9f2ea"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a688ee79d26a1574a6ae53af7c1d9f2ea">iis_stack_vlan</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1c9fc72530fffbc0518bca590ca4e7e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1c9fc72530fffbc0518bca590ca4e7e1"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a1c9fc72530fffbc0518bca590ca4e7e1">iis_pause</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa55b92c01b7486c156a9cee152ca0ce1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa55b92c01b7486c156a9cee152ca0ce1"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#aa55b92c01b7486c156a9cee152ca0ce1">state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">state_typ</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3085a8a104f6decc374181b9beffc658"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3085a8a104f6decc374181b9beffc658"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a3085a8a104f6decc374181b9beffc658">last_state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">state_typ</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a30f5f75e3f85bc7309217bdc5216b779"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a30f5f75e3f85bc7309217bdc5216b779"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a30f5f75e3f85bc7309217bdc5216b779">last_tx_dv</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad7e7f69444224b24682ae120bbae63d5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad7e7f69444224b24682ae120bbae63d5"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#ad7e7f69444224b24682ae120bbae63d5">crc32</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8c2ed8eda08edc5c75302fc07e8104aa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8c2ed8eda08edc5c75302fc07e8104aa"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a8c2ed8eda08edc5c75302fc07e8104aa">count</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">65535</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abb65eea99303d5e59656d2a2d5e48f79"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abb65eea99303d5e59656d2a2d5e48f79"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#abb65eea99303d5e59656d2a2d5e48f79">poscnt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">65535</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acbd6c755c2ba19172e62d1b53706d218"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acbd6c755c2ba19172e62d1b53706d218"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#acbd6c755c2ba19172e62d1b53706d218">datacnt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">255</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac89b56305d0771f6945dadbeaea0e851"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac89b56305d0771f6945dadbeaea0e851"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#ac89b56305d0771f6945dadbeaea0e851">datainc</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">255</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8f36122d83b9ab343daa96087d2d5895"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8f36122d83b9ab343daa96087d2d5895"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#a8f36122d83b9ab343daa96087d2d5895">tx_sof</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad08deb3e03d67077ff0e2115503fd405"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad08deb3e03d67077ff0e2115503fd405"></a>
<a class="el" href="classETHMONITOR__32_1_1behave.html#ad08deb3e03d67077ff0e2115503fd405">tx_dst</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2ethmon__32_8vhd_source.html#l00107">107</a> of file <a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2ethmon__32_8vhd_source.html">ethmon_32.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/tse_rgmii_testbench/testbench_vhdl/models/<a class="el" href="tse__rgmii__testbench_2testbench__vhdl_2models_2ethmon__32_8vhd_source.html">ethmon_32.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/cores/WIB_TSE_testbench/testbench_vhdl/models/<a class="el" href="WIB__TSE__testbench_2testbench__vhdl_2models_2ethmon__32_8vhd_source.html">ethmon_32.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:33 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
